//检测参数设置
function ValidateNum(item,type,str)
{
	var returnVal = 0;
	var intVal;
	var strVal = new String(item.val());
	var ch;
	var ch0;
	var ch1;
	var i;
	var j;
  //---------------------------------------------------------------------------------------网络参数相关-----------------------------------------------------------------------------------//
	if(type == "IP_ADDR")//IP地址
	{
		ipaddr = strVal.split(".");
		if(ipaddr.length != 4)
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false;
		}
		for(j = 0; j < 4; j++)
		{
			strVal = ipaddr[j];
			if(strVal.length>3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9')
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
			}
			if(strVal=="")
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			intVal= parseInt(strVal, 10);
			if(intVal > 255)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
		}	
	}
	if(type == "LOCAL_IP_ADDR")//0.0.0.0~223.255.255.255(not include boundary value)
	{
		var ZeroNum = 0;
		var InvalidNum = 0;
		ipaddr = strVal.split(".");
		if(ipaddr.length != 4)
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false;
		}
		if(parseInt(ipaddr[0], 10) == 127)//127.x.x.x is not valid
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false; 
		}
		if(parseInt(ipaddr[0], 10) > 223)
		{
			alert(str+"只能为单播地址");
			item.focus();
			return false; 
		}
		/*if(parseInt(ipaddr[3], 10) == 0)//remain to be discussed
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false; 
		}*/
		for(j = 0; j < 4; j++)
		{
			strVal = ipaddr[j];			
			if(strVal.length>3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9')
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
			}
			if(strVal=="")
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}	
			intVal= parseInt(strVal, 10);
			if(intVal > 255)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			if(intVal == 0)
			{
				ZeroNum++;
			}
			if(intVal == 255)
			{
				InvalidNum++;
			}								
		}
		if(ZeroNum == 4)//0.0.0.0 is not valid
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false; 
		}
		if(parseInt(ipaddr[0], 10) == 223)//223.255.255.255 is not valid
		{
			if(InvalidNum == 3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
		}
	}
	if(type == "GATEWAY")//0.0.0.0(include)~223.255.255.255(not include)
	{
		var InvalidNum = 0;
		ipaddr = strVal.split(".");
		if(ipaddr.length != 4)
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false;
		}
		if(parseInt(ipaddr[0], 10) > 223)
		{
			alert(str+"只能为单播地址");
			item.focus();
			return false; 
		}
		for(j = 0; j < 4; j++)
		{
			strVal = ipaddr[j];			
			if(strVal.length>3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9')
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
			}
			if(strVal=="")
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}	
			intVal= parseInt(strVal, 10);
			if(intVal > 255)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			if(intVal == 255)
			{
				InvalidNum++;
			}								
		}
		if(parseInt(ipaddr[0], 10) == 223)//223.255.255.255 is not valid
		{
			if(InvalidNum == 3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
		}
	}
	else if(type == "SUBMASK")//子网掩码
	{
		var pre_sign = 0;
		var AllOneCnt = 0;
		var OneEndSign = 0;
		var cursubmask = strVal.split(".");
		if(cursubmask.length != 4)
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false;
		}
		for(j = 0; j < 4; j++)
		{
			strVal = cursubmask[j];
			if(strVal.length>3)
			{
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9')
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
			}
			MaskValue= parseInt(strVal, 10);
			if(MaskValue == 0)
			{
				if(j == 0)//the first of the mask is 0,is not valid.(0.x.x.x)
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
				else//record has already exist 0,later 1 is not allowed
				{
					pre_sign = 1;
				}
			}
			else if((MaskValue == 128)||(MaskValue == 192)||(MaskValue == 224)||(MaskValue == 240)||(MaskValue == 248)||(MaskValue == 252)||(MaskValue == 254))
			{
				if(OneEndSign == 0)
				{
					if(pre_sign == 1)
					{
						alert("请输入合法的"+str+"地址!");
						item.focus();
						return false;
					}
					else
					{
						OneEndSign = 1;
					}
				}
				else
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
			}
			else if(MaskValue == 255)
			{
				if((OneEndSign == 1)||(pre_sign == 1))//before this has already exist discontinuous 1.
				{
					alert("请输入合法的"+str+"地址!");
					item.focus();
					return false;
				}
				AllOneCnt++;
			}
			else
			{			
				alert("请输入合法的"+str+"地址!");
				item.focus();
				return false; 
			}
		}
		if(AllOneCnt == 4)
		{
			alert("请输入合法的"+str+"地址!");
			item.focus();
			return false; 
		}
	}
	else if(type == "PID")//EMMPID
	{
		if(strVal=="")
	   	{
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		if(strVal.length == 1)
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '1' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
		}
		else 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if((ch0 == '0')&&(ch1 == 'x'))//输入十六进制数据
			{
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <1)||(intVal > 8191))
				{
					alert(str+"必须在0x0001~0x1fff之间!");
					item.focus();
					return false;
				}
			}
			else if(ch0 == '0')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <1)||(intVal > 8191))
				{
					alert(str+"必须1~8191之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "PORT")//端口
	{
	 	if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <1)||(intVal >65535))
		{
			alert(str+"值必须在1~65535之间!");
			item.focus();
			return false; 
		}
	}
	else if(type == "ID")//CAS-ID
	{
		if(strVal=="")
	   	{
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		if(strVal.length == 1)
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '0' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
		}
		else 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if((ch0 == '0')&&(ch1 == 'x'))//输入十六进制数据
			{
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <0)||(intVal > 65535))
				{
					alert(str+"必须在0x0~0xffff之间!");
					item.focus();
					return false;
				}
			}
			else if(ch0 == '0')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <0)||(intVal > 65535))
				{
					alert(str+"必须0~65535之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "PERIOD")//密钥周期
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false;
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制数!");
				item.focus();
			 return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <8)||(intVal > 6500))
		{
			alert(str+"必须在8~6500之间!");
			item.focus();
			return false;
		}
	}
	else if(type == "KEY")//密钥
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		if(strVal.length != 16)
		{
			alert("密钥只能为16位!");
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
			{
				alert(str+"请输入合法的16进制数!");
				item.focus();
	       		return false;
			}
		}
	}
	else if(type == "BITRATE")//码率
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <0)||(intVal >10000))
		{
			alert(str+"值必须在0~10000kbps之间!");
			item.focus();
			return false; 
		}
	}
	else if(type == "DESC_DATA")//私用描述（由于数据很长，可以暂时不对长度做限制）
	{
		if(strVal.length >128)
		{
			alert(str+"已超出数据最大长度，不能添加!");
			item.focus();
			return false; 
		}
		if(strVal.length % 2 != 0)
		{
			alert(str+"只能输入偶数个字符!");
			item.focus();
			return false; 
		}
		if(strVal.length != 0)
		{
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
				{
					alert(str+"请输入合法的16进制数!");
					item.focus();
					return false;
				}
			}
		}
	}
	else if(type == "LICENSE")
	{
		
		if(strVal.length != 0)
		{
			for ( i = 0 ; i < strVal.length ; i++ )
			{      
				ch = strVal.charAt(i);
				if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
				{
					alert(str+"请输入合法的16进制数!");
					item.focus();
					return false;
				}
			}
		}
		if(strVal.length !=32)
		{
			alert("授权码必须是32位!");
			item.focus();
			return false; 
		}
	}
  return true;
}




